Summary: 	Fast Assembly MPEG Encoding library
Name: 		libfame
Version: 	0.9.1
Release: 	2
License: 	LGPL
Group: 		Libraries
URL: 		http://fame.sourceforge.net/
Source: 	http://dl.sf.net/fame/%{name}-%{version}.tar.gz
Patch:		%{name}-%{version}.diff
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
A library for fast (real-time) MPEG video encoding, written in C and assembly.
It currently allows encoding of fast MPEG-1 video, as well as MPEG-4 (OpenDivX
compatible) rectangular and arbitrary shaped video.


%package 	devel
Summary: 	Development files and static libraries for libfame
Group: 		Development

%description 	devel
A library for fast (real-time) MPEG video encoding, written in C and assembly.
It currently allows encoding of fast MPEG-1 video, as well as MPEG-4 (OpenDivX
compatible) rectangular and arbitrary shaped video.

This package contains the files necessary to build programs that use the
libfame library.

%prep
%setup -q
%patch

%build
autogen.sh
%configure --disable-mmx --disable-sse --disable-nls
make

%install
rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/include/libfame
mv $RPM_BUILD_ROOT/usr/include/*.h $RPM_BUILD_ROOT/usr/include/libfame
cd $RPM_BUILD_ROOT/usr/include; ln -sf libfame/* .

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la

%files devel
%defattr(-, root, root, 0755)
%{_bindir}
%{_libdir}/*.a
%{_includedir}
%{_datadir}
